install:
- sh -c "if [ '$TEST_DAV' = '1' ]; then bash tests/travis/install.sh $DB; fi"
+ - sh -c "if [ '$TEST_DAV' = '1' ]; then bash apps/dav/tests/travis/$TC/install.sh; fi"
+
script:
- sh -c "if [ '$TEST_DAV' != '1' ]; then echo \"Not testing DAV\"; fi"
- sh -c "if [ '$TEST_DAV' = '1' ]; then echo \"Testing DAV\"; fi"
- - sh -c "if [ '$TEST_DAV' = '1' ]; then bash apps/dav/tests/travis/$TC.sh; fi"
+ - sh -c "if [ '$TEST_DAV' = '1' ]; then bash apps/dav/tests/travis/$TC/script.sh; fi"
matrix:
include:
+++ /dev/null
-#!/usr/bin/env bash
-SCRIPT=`realpath $0`
-SCRIPTPATH=`dirname $SCRIPT`
-
-
-# start the server
-php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../.." &
-
-
-if [ ! -f CalDAVTester/run.py ]; then
- cd "$SCRIPTPATH"
- git clone https://github.com/DeepDiver1975/CalDAVTester.git
- cd "$SCRIPTPATH/CalDAVTester"
- python run.py -s
- cd "$SCRIPTPATH"
-fi
-
-# create test user
-cd "$SCRIPTPATH/../../../../"
-OC_PASS=user01 php occ user:add --password-from-env user01
-php occ dav:create-addressbook user01 addressbook
-OC_PASS=user02 php occ user:add --password-from-env user02
-php occ dav:create-addressbook user02 addressbook
-cd "$SCRIPTPATH/../../../../"
-
-# run the tests
-cd "$SCRIPTPATH/CalDAVTester"
-PYTHONPATH="$SCRIPTPATH/pycalendar/src" python testcaldav.py --print-details-onfail -s "$SCRIPTPATH/caldavtest/config/serverinfo.xml" -o cdt.txt \
- "$SCRIPTPATH/caldavtest/tests/CardDAV/current-user-principal.xml" \
- "$SCRIPTPATH/caldavtest/tests/CardDAV/sync-report.xml"
-RESULT=$?
-
-tail "$SCRIPTPATH/../../../../data-autotest/owncloud.log"
-
-exit $RESULT
--- /dev/null
+#!/usr/bin/env bash
+SCRIPT=`realpath $0`
+SCRIPTPATH=`dirname $SCRIPT`
+
+
+if [ ! -f CalDAVTester/run.py ]; then
+ cd "$SCRIPTPATH"
+ git clone https://github.com/DeepDiver1975/CalDAVTester.git
+ cd "$SCRIPTPATH/CalDAVTester"
+ python run.py -s
+ cd "$SCRIPTPATH"
+fi
+
+# create test user
+cd "$SCRIPTPATH/../../../../../"
+OC_PASS=user01 php occ user:add --password-from-env user01
+php occ dav:create-addressbook user01 addressbook
+OC_PASS=user02 php occ user:add --password-from-env user02
+php occ dav:create-addressbook user02 addressbook
+cd "$SCRIPTPATH/../../../../../"
--- /dev/null
+#!/usr/bin/env bash
+SCRIPT=`realpath $0`
+SCRIPTPATH=`dirname $SCRIPT`
+
+# start the server
+php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../../.." &
+
+# run the tests
+cd "$SCRIPTPATH/CalDAVTester"
+PYTHONPATH="$SCRIPTPATH/pycalendar/src" python testcaldav.py --print-details-onfail -s "$SCRIPTPATH/../caldavtest/config/serverinfo.xml" -o cdt.txt \
+ "$SCRIPTPATH/../caldavtest/tests/CardDAV/current-user-principal.xml" \
+ "$SCRIPTPATH/../caldavtest/tests/CardDAV/sync-report.xml"
+RESULT=$?
+
+tail "$/../../../../../data-autotest/owncloud.log"
+
+exit $RESULT
+++ /dev/null
-#!/usr/bin/env bash
-SCRIPT=`realpath $0`
-SCRIPTPATH=`dirname $SCRIPT`
-
-
-# start the server
-php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../.." &
-
-
-# compile litmus
-if [ ! -f /tmp/litmus/litmus-0.13.tar.gz ]; then
- mkdir -p /tmp/litmus
- wget -O /tmp/litmus/litmus-0.13.tar.gz http://www.webdav.org/neon/litmus/litmus-0.13.tar.gz
- cd /tmp/litmus
- tar -xzf litmus-0.13.tar.gz
- cd /tmp/litmus/litmus-0.13
- ./configure
- make
-fi
-
-# run the tests
-cd /tmp/litmus/litmus-0.13
-make URL=http://127.0.0.1:8888/remote.php/webdav CREDS="admin admin" TESTS="basic copymove props locks" check
--- /dev/null
+#!/usr/bin/env bash
+
+# compile litmus
+if [ ! -f /tmp/litmus/litmus-0.13.tar.gz ]; then
+ mkdir -p /tmp/litmus
+ wget -O /tmp/litmus/litmus-0.13.tar.gz http://www.webdav.org/neon/litmus/litmus-0.13.tar.gz
+ cd /tmp/litmus
+ tar -xzf litmus-0.13.tar.gz
+ cd /tmp/litmus/litmus-0.13
+ ./configure
+ make
+fi
--- /dev/null
+#!/usr/bin/env bash
+SCRIPT=`realpath $0`
+SCRIPTPATH=`dirname $SCRIPT`
+
+
+# start the server
+php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../../.." &
+
+sleep 30
+
+# run the tests
+cd /tmp/litmus/litmus-0.13
+make URL=http://127.0.0.1:8888/remote.php/webdav CREDS="admin admin" TESTS="basic copymove props locks" check
+++ /dev/null
-#!/usr/bin/env bash
-SCRIPT=`realpath $0`
-SCRIPTPATH=`dirname $SCRIPT`
-
-
-# start the server
-php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../.." &
-
-
-# compile litmus
-if [ ! -f /tmp/litmus/litmus-0.13.tar.gz ]; then
- mkdir -p /tmp/litmus
- wget -O /tmp/litmus/litmus-0.13.tar.gz http://www.webdav.org/neon/litmus/litmus-0.13.tar.gz
- cd /tmp/litmus
- tar -xzf litmus-0.13.tar.gz
- cd /tmp/litmus/litmus-0.13
- ./configure
- make
-fi
-
-# run the tests
-cd /tmp/litmus/litmus-0.13
-make URL=http://127.0.0.1:8888/remote.php/dav/files/admin CREDS="admin admin" TESTS="basic copymove props locks" check
--- /dev/null
+#!/usr/bin/env bash
+
+# compile litmus
+if [ ! -f /tmp/litmus/litmus-0.13.tar.gz ]; then
+ mkdir -p /tmp/litmus
+ wget -O /tmp/litmus/litmus-0.13.tar.gz http://www.webdav.org/neon/litmus/litmus-0.13.tar.gz
+ cd /tmp/litmus
+ tar -xzf litmus-0.13.tar.gz
+ cd /tmp/litmus/litmus-0.13
+ ./configure
+ make
+fi
--- /dev/null
+#!/usr/bin/env bash
+SCRIPT=`realpath $0`
+SCRIPTPATH=`dirname $SCRIPT`
+
+
+# start the server
+php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../../.." &
+
+sleep 30
+
+# run the tests
+cd /tmp/litmus/litmus-0.13
+make URL=http://127.0.0.1:8888/remote.php/dav/files/admin CREDS="admin admin" TESTS="basic copymove props locks" check